> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Find Card By Share Code

> Retrieve card data (and share code metadata) by specifying a share code



## OpenAPI

````yaml get /v1/sharing/code/{code}
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/sharing/code/{code}:
    get:
      tags:
        - share
      summary: ' Find Card By Share Code'
      description: Retrieve card data (and share code metadata) by specifying a share code
      operationId: _find_card_by_share_code_v1_sharing_code__code__get
      parameters:
        - name: code
          in: path
          required: true
          schema:
            type: string
            title: Code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteShareResponse'
        4XX:
          description: Unified Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedError'
components:
  schemas:
    CompleteShareResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        card_id:
          type: string
          format: uuid
          title: Card Id
        owner_id:
          type: string
          format: uuid
          title: Owner Id
        code:
          type: string
          title: Code
        granted_perms:
          $ref: '#/components/schemas/Role'
        card:
          $ref: '#/components/schemas/CompleteCardResponse'
      type: object
      required:
        - id
        - card_id
        - owner_id
        - code
        - granted_perms
        - card
      title: CompleteShareResponse
    UnifiedError:
      discriminator:
        mapping:
          auth: '#/components/schemas/AuthError'
          basic: '#/components/schemas/BasicError'
          card: '#/components/schemas/CardError'
          numeric: '#/components/schemas/NumericError'
          permission: '#/components/schemas/PermError'
          recaptcha: '#/components/schemas/RecaptchaError'
          turnstile: '#/components/schemas/TurnstileError'
          validation: '#/components/schemas/ValidationError'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/AuthError'
        - $ref: '#/components/schemas/BasicError'
        - $ref: '#/components/schemas/CardError'
        - $ref: '#/components/schemas/PermError'
        - $ref: '#/components/schemas/RecaptchaError'
        - $ref: '#/components/schemas/TurnstileError'
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/NumericError'
    Role:
      enum:
        - -1
        - 0
        - 1318
        - 1382
        - 1398
        - 4094
        - 8190
      title: Role
      type: integer
    CompleteCardResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        html:
          type: string
          title: Html
        color:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        tags:
          items:
            type: string
          type: array
          title: Tags
        owner_id:
          type: string
          format: uuid
          title: Owner Id
        created_when:
          type: string
          format: date-time
          title: Created When
        modified_when:
          type: string
          format: date-time
          title: Modified When
        link_cache:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Link Cache
        owner:
          $ref: '#/components/schemas/PublicOwnerResponse'
        trusted:
          type: boolean
          title: Trusted
        likes:
          type: integer
          title: Likes
        comment_count:
          type: integer
          title: Comment Count
        public_child_count:
          type: integer
          title: Public Child Count
      type: object
      required:
        - id
        - name
        - html
        - color
        - icon
        - tags
        - owner_id
        - created_when
        - modified_when
        - link_cache
        - owner
        - trusted
        - likes
        - comment_count
        - public_child_count
      title: CompleteCardResponse
    AuthError:
      properties:
        type:
          const: auth
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          enum:
            - APIKey
            - Bearer
            - Fresh
            - Refresh
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: AuthError
      type: object
    BasicError:
      properties:
        type:
          const: basic
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: 'null'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: BasicError
      type: object
    CardError:
      properties:
        type:
          const: card
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          format: uuid
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: CardError
      type: object
    PermError:
      properties:
        type:
          const: permission
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          $ref: '#/components/schemas/PermErrorMeta'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: PermError
      type: object
    RecaptchaError:
      properties:
        type:
          const: recaptcha
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: boolean
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: RecaptchaError
      type: object
    TurnstileError:
      properties:
        type:
          const: turnstile
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          items:
            type: string
          title: Meta
          type: array
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: TurnstileError
      type: object
    ValidationError:
      properties:
        type:
          const: validation
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          additionalProperties:
            type: string
          title: Meta
          type: object
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: ValidationError
      type: object
    NumericError:
      properties:
        type:
          const: numeric
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          anyOf:
            - type: number
            - type: integer
          title: Meta
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: NumericError
      type: object
    CoreColor:
      enum:
        - blue
        - green
        - orange
        - pink
        - purple
        - red
        - yellow
      title: CoreColor
      type: string
    PublicOwnerResponse:
      properties:
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        photo:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo
      type: object
      required:
        - first_name
        - last_name
        - photo
      title: PublicOwnerResponse
    PermErrorMeta:
      properties:
        perm_name:
          title: Perm Name
          type: string
        perm_value:
          title: Perm Value
          type: integer
      required:
        - perm_name
        - perm_value
      title: PermErrorMeta
      type: object

````